# ProblemAggregation

@Incubating
interface ProblemAggregation

Represents a list of aggregated problems. These are sent at the end of the build. All Problems that occurred more than once during the build are aggregated and sent as a ProblemAggregation. They won't be sent in between the build only the first one.

#### Since

8.6

## Functions

getDefinition
Link copied to clipboard
abstract fun getDefinition(): ProblemDefinition
Returns the definition of the problem.
getProblemContext
Link copied to clipboard
abstract fun getProblemContext(): List<ProblemContext>
The list of aggregated problems.